import matplotlib.pyplot as plt
import numpy as np
import pandas as pd
import seaborn as sns

mpg = sns.load_dataset("mpg")
iris = sns.load_dataset("iris")

iris_mod = iris[iris["species"] == "setosa"]

markers = ["^", "*", "o"]
plt.figure(figsize=(15, 5))
for i, m in enumerate(markers):
    plt.subplot(1, len(markers), i + 1)
    plt.title(f"marker = {m}")
    sns.regplot(x="sepal_length", y="sepal_width",
                data=iris_mod, color='r', marker=m)

plt.show()
